Subject: Re: bug#14029: 24.2.50; [PATCH] imenu problems with special elements

From: Dmitry Gutov <[email-masked]>
Date: Fri, 29 Nov 2013 16:35:46 +0200

On 29.11.2013 15:36, Andreas Politz wrote:
> The check would make sense, if this function was applied to the cdr of
> an element, i.e. check if the argument is a SUB-ALIST.  But this is not
> how this function is used in imenu.el .

Yep, it's either a mistake or an example of defensive programming.

> I might have initially (and falsely) determined this as the source of
> some bug.

That's why we usually ask that bug reports have reproduction scenario.

> P.S.: There is another dot missing in the documentation.

Installed, thanks.